/*
 * Shortcode: common.scss
 * -----------------------------------------------
*/
.blog-style1-current-theme {
	padding: 30px;
	border: 1px solid #eee;
	padding-left: 0;
	@include media-breakpoint-down(md) {
		padding: 0;
	}
	.entry-header {
		float: left;
		margin-right: 30px;
		position: relative;
		@include media-breakpoint-down(md) {
			float: none;
			margin-right: 0;
		}
		.thumb {
			overflow: hidden;
			img {
				@include scale(1);
				@include transition(all .4s ease-in-out);
			}
		}
		.post-date {
			position: absolute;
			bottom: 0;
			right: 0;
			color: #fff;
			padding: 15px 24px;
			text-align: center;
			line-height: 23px;
			.date {
				margin-bottom: 0;
				font-weight: 800;
				span {
					font-weight: 600;
				}
			}
			&:after {
				position: absolute;
				content: "";
				top: 0;
				width: 0;
				height: 0;
				border-style: solid;
				left: -25px;
				border-width: 0px 25px 77px 0;
				transition: 500ms;
			}
		}
	}
	.entry-content {
		@include media-breakpoint-down(md) {
			padding: 30px;
		}
		.blog-meta {
			font-size: 0.9rem;
		}
		.entry-title {
			text-transform: capitalize;
		}
	}
	.blog-link-btn {
		position: absolute;
		right: 42px;
		bottom: -32px;
		background: #F1F5F8;
		height: 65px;
		width: 65px;
		line-height: 65px;
		text-align: center;
		border-radius: 50%;
		color: #092755;
		&:hover {
			color: #fff;
		}
	}
	&:hover {
		.thumb {
			img {
				@include scale(1.1);
			}
		}
	}
}
.blog-style2-current-theme {
	.entry-header {
		.post-thumb {
			position: relative;
			.thumb {
				overflow: hidden;
				img {
					@include scale(1);
					@include transition(all .4s ease-in-out);
				}
			}
			.post-date {
				position: absolute;
				bottom: 0;
				right: 0;
				color: #fff;
				padding: 15px 24px;
				text-align: center;
				line-height: 23px;
				background: var(--theme-color1);
				.date {
					margin-bottom: 0;
					font-weight: 800;
					span {
						font-weight: 600;
					}
				}
				&:after {
					position: absolute;
					content: "";
					top: 0;
					width: 0;
					height: 0;
					border-style: solid;
					left: -25px;
					border-width: 0px 25px 77px 0;
					transition: 500ms;
					border-color: transparent var(--theme-color1) transparent transparent;
				}
			}
		}
	}
	.entry-content {
		padding: 30px 45px;
		border: 1px solid #E0E4ED;
		position: relative;
		@include media-breakpoint-down(lg) {
			padding: 30px;
		}
		.entry-title {
		}
		.blog-meta {
			font-size: 0.9rem;
		}
		.blog-link-btn {
			position: absolute;
			right: 42px;
			bottom: -32px;
			background: #F1F5F8;
			height: 65px;
			width: 65px;
			line-height: 65px;
			text-align: center;
			border-radius: 50%;
			color: #092755;
			&:hover {
				color: #fff;
				background: var(--theme-color1);
			}
		}
	}
	&:hover {
		.entry-header {
			.post-thumb {
				.thumb {
					img {
						@include scale(1.1);
					}
				}
			}
		}
	}
}
